Subject: Re: bug#9227: 24.0.50; Documentation Lookup in python-mode

From: Jan Moringen <[email-masked]>
Date: Sat, 22 Dec 2012 03:26:32 +0100

On Fri, 2012-12-21 at 17:37 -0500, Glenn Morris wrote:
> Jan Moringen wrote:
> 
> > Since the function has been removed, I think this issue can be
> > considered fixed.
> 
> That's not obvious to me, since there seems to similar code, but still
> no reference to "pager" anywhere AFAICS.

The current python.el does not seem to use the pydoc module anymore
(which caused the reported problem). inspect.getdoc() seems to be used
instead. As far as I can see, inspect.getdoc() has a string-based
interface and does not print anything, so a pager is not involved.